For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
      • AstroFully-managed data operations, powered by Apache Airflow.
      • Astro Private CloudRun Airflow-as-a-service in your environment.
      • Professional ServicesExpert Airflow services for your enterprise's success.
    • Tools
      • Cosmos
      • Orbiter
      • CLI
      • AI SDK
      • Agents
      • Blueprint
      • UpdatesThe State of Airflow 2026See the insights from over 5,800 data practitioners in the full report. Download Now ➔
  • Customers
  • Docs
    • Insights
      • Blog
      • Webinars
      • Resource Library
      • Events
    • Education
      • Academy
      • What is Airflow?
  • Pricing
Get Started Free
  • Astro API v1
    • Overview
    • Get started
    • Versioning and support
    • Migrate to v1
    • Deploy with the API
  • API Reference
      • POSTCreate a Deploy
      • POSTDeploy rollback of a deployment
      • POSTFinalize a deploy
      • GETGet a deploy for a deployment
      • GETList deploys for a deployment
      • POSTUpdate a Deploy
    • Changelog
    • Book Office Hours

Product

  • Platform Overview
  • Astro
  • Astro Observe
  • Astro Private Cloud
  • Security & Trust
  • Pricing

Tools & Services

  • Cosmos
  • Docs
  • Professional Services
  • Product Updates

Use Cases

  • AI Ops
  • Data Observability
  • ETL/ELT
  • ML Ops
  • Operational Analytics
  • All Use Cases

Industries

  • Financial Services
  • Gaming
  • Retail
  • Manufacturing
  • Healthcare
  • All Industries

Resources

  • Academy
  • eBooks & Guides
  • Blog
  • Webinars
  • Events
  • The Data Flowcast Podcast
  • All Resources

Airflow

  • What is Airflow
  • Airflow on Astro
  • Airflow 3.0
  • Airflow Upgrades
  • Airflow Use Cases
  • Airflow 2.x End of Life

Company

  • Our Story
  • Customers
  • Newsroom
  • Careers
  • Contact

Support

  • Knowledge Base
  • Status
  • Contact Support
GitHubYouTubeLinkedInx
  • Legal
  • Privacy
  • Terms of Service
  • Consent Preferences

  • Do Not Sell or Share My Personal information
  • Limit the Use Of My Sensitive Personal Information

Apache Airflow®, Airflow, and the Airflow logo are trademarks of the Apache Software Foundation. Copyright © Astronomer 2026. All rights reserved.

LogoLogo
API ReferenceDeploy

Get a deploy for a deployment

GET
https://api.astronomer.io/v1/organizations/:organizationId/deployments/:deploymentId/deploys/:deployId
GET
/v1/organizations/:organizationId/deployments/:deploymentId/deploys/:deployId
$curl https://api.astronomer.io/v1/organizations/organizationId/deployments/deploymentId/deploys/deployId \
> -H "Authorization: Bearer <token>"
1{
2 "createdAt": "2022-11-22T04:37:12Z",
3 "deploymentId": "clmh57jtm000008lb58fe2wmv",
4 "id": "clvetru2w000201mowqwua63n",
5 "imageRepository": "https://my-image-repository",
6 "imageTag": "my-image-tag",
7 "isDagDeployEnabled": true,
8 "status": "DEPLOYED",
9 "type": "IMAGE_AND_DAG",
10 "airflowVersion": "2.7.2, if airflow version is not found, it will return NA",
11 "astroRuntimeVersion": "9.1.0",
12 "bundleMountPath": "string",
13 "bundleUploadUrl": "string",
14 "bundles": [
15 {
16 "bundleType": "string",
17 "deployId": "string",
18 "mountPath": "string",
19 "currentVersion": "string",
20 "desiredVersion": "string"
21 }
22 ],
23 "createdBySubject": {
24 "id": "clm8qv74h000008mlf08scq7k",
25 "apiTokenName": "my-token",
26 "avatarUrl": "https://avatar.url",
27 "fullName": "Jane Doe",
28 "subjectType": "USER",
29 "username": "user1@company.com"
30 },
31 "dagTarballVersion": "2024-01-12T18:32:20.5898930Z",
32 "dagsUploadUrl": "https://astroproddagdeploy.windows.core.net/clmh59gt0000308lbgswe5fvh/clmh57jtm000008lb58fe2wmv",
33 "description": "My deploy description",
34 "git": {
35 "commitSha": "abc123def456",
36 "provider": "GITHUB",
37 "account": "astronomer",
38 "authorName": "Astronomer Bot",
39 "authorUrl": "https://github.com/astronomer-bot",
40 "authorUsername": "astronomer-bot",
41 "beforeCommitSha": "def456abc123",
42 "branch": "main",
43 "commitUrl": "https://github.com/astronomer/astro-cli/commit/abc123def456",
44 "path": "dags/",
45 "remoteUrl": "git@gitlab.com:team/project.git",
46 "repo": "astro-cli"
47 },
48 "rollbackFromId": "clvcz1lrq000101oitxtp276e",
49 "updatedAt": "2022-11-22T04:37:12Z",
50 "updatedBySubject": {
51 "id": "clm8qv74h000008mlf08scq7k",
52 "apiTokenName": "my-token",
53 "avatarUrl": "https://avatar.url",
54 "fullName": "Jane Doe",
55 "subjectType": "USER",
56 "username": "user1@company.com"
57 }
58}
Get a deploy for a deployment
Was this page helpful?
Previous

List deploys for a deployment

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization in which to create the Deployment.
deploymentIdstringRequired
The Deployment's ID.
deployIdstringRequired
The Deploy's ID.

Response

OK
createdAtstringformat: "date-time"

The time when the deploy was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

deploymentIdstring
The Deployment's ID.
idstring
The deploy's ID.
imageRepositorystring
The URL of the deploy's image repository.
imageTagstring
The deploy's image tag. Appears only if specified in the most recent deploy.
isDagDeployEnabledboolean
Whether the deploy was triggered on a Deployment with DAG deploys enabled.
statusenum
The status of the deploy.
Allowed values:
typeenum
The type of deploy.
Allowed values:
airflowVersionstring
The deploy's Airflow version.
astroRuntimeVersionstring
The deploy's Astro Runtime version.
bundleMountPathstring
The path where Astro mounts the bundle on the Airflow component pods.
bundleUploadUrlstring
The URL where the deploy uploads the bundle. Appears only if DAG deploys are enabled on the Deployment and deploy type is BUNDLE.
bundleslist of objects
The bundles included in a specific Deployment.
createdBySubjectobject
dagTarballVersionstring
The deploy's DAG tarball version, also known as the Bundle Version in the Astro UI.
dagsUploadUrlstring
The deploy's upload URL to upload DAG bundles. Appears only if dag deploys are enabled on the Deployment.
descriptionstring
The deploy's description.
gitobject
rollbackFromIdstring
The ID of the deploy that you completed a rollback on. Appears only if a rollback has been performed.
updatedAtstringformat: "date-time"

The time when the deploy was last updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

updatedBySubjectobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error